package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.base.PageVO;
import com.fzm.mall.server.front.goods.model.Count;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.goods.model.vo.SaleHotVo;

import java.util.List;

/**
 * <p>
 * 商品统计信息表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-05
 */
public interface ICountService extends IService<Count> {
    Count getCountByGid(String goodsId);

    List<SaleHotVo> getTopTenSaleHotVo(PageVO pageVo);

    List<SaleHotVo> getList(PageVo pageVo);

    int getCount();

    void addSale(String goodsId, Integer number);
}
